package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the VehicleTypeResource service. Represents a row in the &quot;Profile_VehicleTypeResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleTypeResourceModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleTypeResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleTypeResource
 * @see de.humance.eco.profile.model.impl.VehicleTypeResourceImpl
 * @see de.humance.eco.profile.model.impl.VehicleTypeResourceModelImpl
 * @generated
 */
public interface VehicleTypeResourceModel extends BaseModel<VehicleTypeResource> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle type resource model instance should use the {@link VehicleTypeResource} interface instead.
     */

    /**
     * Returns the primary key of this vehicle type resource.
     *
     * @return the primary key of this vehicle type resource
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle type resource.
     *
     * @param primaryKey the primary key of this vehicle type resource
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle type resource ID of this vehicle type resource.
     *
     * @return the vehicle type resource ID of this vehicle type resource
     */
    public long getVehicleTypeResourceId();

    /**
     * Sets the vehicle type resource ID of this vehicle type resource.
     *
     * @param vehicleTypeResourceId the vehicle type resource ID of this vehicle type resource
     */
    public void setVehicleTypeResourceId(long vehicleTypeResourceId);

    /**
     * Returns the vehicle type ID of this vehicle type resource.
     *
     * @return the vehicle type ID of this vehicle type resource
     */
    public long getVehicleTypeId();

    /**
     * Sets the vehicle type ID of this vehicle type resource.
     *
     * @param vehicleTypeId the vehicle type ID of this vehicle type resource
     */
    public void setVehicleTypeId(long vehicleTypeId);

    /**
     * Returns the country of this vehicle type resource.
     *
     * @return the country of this vehicle type resource
     */
    @AutoEscape
    public String getCountry();

    /**
     * Sets the country of this vehicle type resource.
     *
     * @param country the country of this vehicle type resource
     */
    public void setCountry(String country);

    /**
     * Returns the language of this vehicle type resource.
     *
     * @return the language of this vehicle type resource
     */
    @AutoEscape
    public String getLanguage();

    /**
     * Sets the language of this vehicle type resource.
     *
     * @param language the language of this vehicle type resource
     */
    public void setLanguage(String language);

    /**
     * Returns the name of this vehicle type resource.
     *
     * @return the name of this vehicle type resource
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this vehicle type resource.
     *
     * @param name the name of this vehicle type resource
     */
    public void setName(String name);

    /**
     * Returns the icon ID of this vehicle type resource.
     *
     * @return the icon ID of this vehicle type resource
     */
    public long getIconId();

    /**
     * Sets the icon ID of this vehicle type resource.
     *
     * @param iconId the icon ID of this vehicle type resource
     */
    public void setIconId(long iconId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(VehicleTypeResource vehicleTypeResource);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleTypeResource> toCacheModel();

    @Override
    public VehicleTypeResource toEscapedModel();

    @Override
    public VehicleTypeResource toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
